Loading...
Searching...
No Matches
casacore::ClassicalStatisticsData Class Reference

Non-templated data related to ClassicalStatistics class. More...

`#include <ClassicalStatisticsData.h>`

## Public Member Functions

| ClassicalStatisticsData ()=delete
| ClassicalStatisticsData (const ClassicalStatisticsData &)=delete
| ~ClassicalStatisticsData ()

## Static Public Attributes

static const uInt | CACHE_PADDING
static const uInt | BLOCK_SIZE

## Detailed Description

Non-templated data related to ClassicalStatistics class.

Definition at line 35 of file ClassicalStatisticsData.h.

## Constructor & Destructor Documentation

## ClassicalStatisticsData() [1/2]

casacore::ClassicalStatisticsData::ClassicalStatisticsData | ( |  | ) |

delete

Referenced by ClassicalStatisticsData().

## ClassicalStatisticsData() [2/2]

casacore::ClassicalStatisticsData::ClassicalStatisticsData | ( | const ClassicalStatisticsData & |  | ) |

delete

References ClassicalStatisticsData().

## ~ClassicalStatisticsData()

casacore::ClassicalStatisticsData::~ClassicalStatisticsData | ( |  | ) |

inline

Definition at line 46 of file ClassicalStatisticsData.h.

## Member Data Documentation

## BLOCK_SIZE

const uInt casacore::ClassicalStatisticsData::BLOCK_SIZE

static

Definition at line 44 of file ClassicalStatisticsData.h.

## CACHE_PADDING

const uInt casacore::ClassicalStatisticsData::CACHE_PADDING

static

Definition at line 42 of file ClassicalStatisticsData.h.

The documentation for this class was generated from the following file:

- scimath/StatsFramework/ClassicalStatisticsData.h